org.apache.poi.xssf.usermodel

## Enum TextVerticalOverflow

- java.lang.Object
- - java.lang.Enum<TextVerticalOverflow>
  - - org.apache.poi.xssf.usermodel.TextVerticalOverflow

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextVerticalOverflow>

      public enum TextVerticalOverflow
      extends java.lang.Enum<TextVerticalOverflow>

  Text Vertical Overflow

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIP` Pay attention to top and bottom barriers.
    `ELLIPSIS` Pay attention to top and bottom barriers.
    `OVERFLOW` Overflow the text and pay no attention to top and bottom barriers.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextVerticalOverflow` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextVerticalOverflow[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OVERFLOW

          public static final TextVerticalOverflow OVERFLOW

      Overflow the text and pay no attention to top and bottom barriers.

    - #### ELLIPSIS

          public static final TextVerticalOverflow ELLIPSIS

      Pay attention to top and bottom barriers. Use an ellipsis to denote that there is text which is not visible.

    - #### CLIP

          public static final TextVerticalOverflow CLIP

      Pay attention to top and bottom barriers. Provide no indication that there is text which is not visible.

  - ### Method Detail

    - #### values

          public static TextVerticalOverflow[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextVerticalOverflow c : TextVerticalOverflow.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextVerticalOverflow valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.